package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("menu_season_dishes")
@ApiModel(
   value = "MenuSeasonDishes对象",
   description = ""
)
public class MenuSeasonDishes implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   private Long dishesId;
   @ApiModelProperty("季节类别")
   private Long season;
   private Integer ifDel;

   public Integer getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getSeason() {
      return this.season;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public MenuSeasonDishes setId(final Integer id) {
      this.id = id;
      return this;
   }

   public MenuSeasonDishes setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public MenuSeasonDishes setSeason(final Long season) {
      this.season = season;
      return this;
   }

   public MenuSeasonDishes setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
      return this;
   }
}
